<?php
//FUNCIONES DEL SUPERADMINISTRADOR
function tomar_empresa($valor)
{ 
 $sql="SELECT * FROM empresa WHERE nombre LIKE '$valor'"; 
 $resultado=mysql_db_query("virtualcourier", "$sql")  or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.1 ".mysql_errno()."</font></center><hr><br>");
 while($row=mysql_fetch_array($resultado))
    $array[] = $row;
  return $array;
}

function tomar_No_campos_empresa()
{
 $sql="DESCRIBE empresa";
 $resultado=mysql_db_query("virtualcourier", "$sql")  or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.2 ".mysql_errno()."</font></center><hr><br>");
 $filas=mysql_num_rows($resultado);
 return ($filas);
}

function confirmar_nombre_empresa($nombre)
{
 $cantidad_caracteres=strlen($nombre);
 if($cantidad_caracteres>=20)
  {
   ?>
    <script>	 
	 alert("MUCHOS CARACTERES EN EN NOMBRE DE LA EMPRESA");
	 setTimeout("location.href='crear_empresa.php'", 10);
	</script>	
   <?php
  } 
}

function confirmar($nit, $contrasena, $confirmacion_contrasena, $usuario)
{
 if($contrasena == $confirmacion_contrasena)
  {
   $sql="SELECT nit FROM empresa WHERE nit LIKE $nit";   
   $resultado=mysql_db_query("virtualcourier", "$sql")  or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.3 ".mysql_errno()."</font></center><hr><br>");
   $filas=mysql_num_rows($resultado);
    if($filas==0)
	 {
	  $sql="SELECT * FROM usuario WHERE usuario LIKE '$usuario'";	  
	  $resultado=mysql_db_query("virtualcourier", "$sql")  or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.4 ".mysql_errno()."</font></center><hr><br>");
	  $filas=mysql_num_rows($resultado);
	   if($filas==0)
	    {
		 return 1;
		}
	   else
	    {
		 ?>
           <script>
	        alert("Confirme: Nombre de usuario");
 	        setTimeout("location.href='crear_empresa.php'", 100);		 
           </script>
         <?
		 exit;
		 return 0;
		}
	 }
	else
	 {
	  ?>
       <script>
	    alert("Confirme: Nit empresa");
 	    setTimeout("location.href='crear_empresa.php'", 100);		 
       </script>
      <?
          exit;
	  return 0;
	 }
  }
 else
  {
   ?>
    <script>
	 alert("Confirme: Contraseñas no coinciden");
 	 setTimeout("location.href='crear_empresa.php'", 100);		 
    </script>
   <?
   return 0;
  }
}

function crear_tablas($nombre, $nit)
{
 $nombre=preg_replace("/\s+/", "",$nombre);
 $nombre_tabla_cliente="".$nombre."_cliente";
 $nombre_tabla_datosdestinatario="".$nombre."_datosDestinatario";
 $nombre_tabla_digitalizacion="".$nombre."_digitalizacion";
 $nombre_tabla_ods="".$nombre."_ods";
 $nombre_tabla_devolucion="".$nombre."_devolucion";
 $nombre_tabla_novedades="".$nombre."_novedades";
   
 
 ////fecha date default '0000-00-00' NOT NULL, 
	$sql="
	CREATE TABLE ".$nombre_tabla_novedades.
	"(
	 id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
	 guia VARCHAR(100) NOT NULL,
	 ods VARCHAR(50) NOT NULL,
	 estado VARCHAR(10) NOT NULL,
	 codigo_cliente VARCHAR(25) NOT NULL, 	 
	 fecha VARCHAR(50) NOT NULL,  
	 lote INT(10) NOT NULL,	  
	 UNIQUE (id)  
	)";
	$resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.6 /</font>" . mysql_errno() . "<BR><hr>"); 
 
	$sql="
	CREATE TABLE ".$nombre_tabla_datosdestinatario.
	 "(
	  id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
	  guia VARCHAR(100) NOT NULL,
	  codigo_cliente VARCHAR(25) NOT NULL,  
	  ods VARCHAR(50) NOT NULL,
	  lote INT(10) NOT NULL,
	  UNIQUE (id)  
	  )";
    $resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.6 /</font>" . mysql_errno() . "<BR><hr>"); 
	
	$sql="ALTER TABLE $nombre_tabla_datosdestinatario ADD UNIQUE(guia)";	
	$resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.6.5 /</font>" . mysql_errno() . "<BR><hr>"); 
	
	
	$sql="
	CREATE TABLE ".$nombre_tabla_digitalizacion.
	 "(
	  id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
	  guia VARCHAR(100) NOT NULL,
	  path VARCHAR(250) NOT NULL,
	  lote INT(10) NOT NULL,
	  UNIQUE (id)  
	  )";
    $resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.7 /</font>" . mysql_errno() . "<BR><hr>"); 
   	
	$sql="ALTER TABLE $nombre_tabla_digitalizacion ADD UNIQUE(guia)";	
	$resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.7 /</font>" . mysql_errno() . "<BR><hr>"); 
   	
	
   $sql="
	CREATE TABLE ".$nombre_tabla_ods.
	 "(
	  id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
	  ods VARCHAR(50) NOT NULL,
	  descripcion VARCHAR(50) NOT NULL,  
	  fecha VARCHAR(50) NOT NULL,  
	  cantidad VARCHAR(50) NOT NULL,
	  lote INT(10) NOT NULL,
	  nit_empresa VARCHAR(25) NOT NULL,
	  cod_cliente VARCHAR(25) NOT NULL,
	  UNIQUE (id)  
	  )";	  
    $resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.8 /</font>" . mysql_errno() . "<BR><hr>"); 
   
	$sql="ALTER TABLE $nombre_tabla_ods ADD UNIQUE(ods)";	
	$resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error (al generar unico ODS) /</font>" . mysql_errno() . "<BR><hr>"); 
	
	
	$sql="
	CREATE TABLE ".$nombre_tabla_cliente.
	 "(
	  id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
	  codigo VARCHAR(25) NOT NULL ,
	  nombre varchar(30) NOT NULL,
	  direccion varchar(30) NOT NULL,
	  telefono1 varchar(20) NOT NULL,
	  telefono2 varchar(20) NOT NULL,
	  fax varchar(20) NOT NULL,
	  email varchar(50) NOT NULL,
	  logo varchar(70) NOT NULL,
	  UNIQUE (id)  
	  )";	
    $resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.5 /</font>" . mysql_errno() . "<BR><hr>");  
	$sql="ALTER TABLE $nombre_tabla_cliente ADD UNIQUE(codigo)";	
	$resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.6.5 /</font>" . mysql_errno() . "<BR><hr>"); 
	
	
	$sql="
	CREATE TABLE ".$nombre_tabla_devolucion.
	 "(
	  id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
	  guia VARCHAR(100) NOT NULL,
	  cod_cliente VARCHAR(25) NOT NULL ,
	  lote INT(10) NOT NULL,
	  estado VARCHAR(10) NOT NULL,
	  ods VARCHAR(50) NOT NULL,
	  descripcion VARCHAR(50) NOT NULL,
	  UNIQUE (id)  
	  )";	
    	$resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.5 /</font>" . mysql_errno() . "<BR><hr>");  
	
	$sql="ALTER TABLE $nombre_tabla_devolucion ADD UNIQUE(guia)";	
	$resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.7 /</font>" . mysql_errno() . "<BR><hr>"); 
   	
    
	$sql="INSERT INTO tablas_creadas VALUES(NULL, '$nit', '$nombre_tabla_cliente', '$nombre_tabla_datosdestinatario', '$nombre_tabla_digitalizacion', '$nombre_tabla_ods', '$nombre_tabla_devolucion', '$nombre_tabla_novedades')";
	$resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.9 /</font>" . mysql_errno() . "<BR><hr>");
	
	return 1;
}

function actualizar_tabla_empresa($nit, $nombre, $direccion, $telefono1, $telefono2, $fax, $email, $path, $base_datos, $folder, $imagenes_multiples)
{
 $sql="INSERT INTO empresa VALUES(NULL, '$nit', '$nombre', '$direccion', '$telefono1', '$telefono2', '$fax', '$email', '', '', '$path', '$base_datos', '$folder','$imagenes_multiples')";
 $resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.10 /</font>" . mysql_errno() . "<BR><hr>");
 return 1;
}

function actualizar_usuario($nombre, $usuario, $contrasena, $nit)
{
 $sql="INSERT INTO usuario VALUES(NULL, '$nombre', '$usuario', '$contrasena', '1', '$nit','0','1')";
 $resultado=mysql_db_query("virtualcourier","$sql") or die("<HR><font class=\"font_errores\">Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.11 /</font>" . mysql_errno() . "<BR><hr>");
 return 1;
}

function tomar_campo($empresa, $valor, $tabla)
{
 $sql="SELECT $valor FROM $tabla WHERE nombre LIKE '$empresa'";
 $resultado=mysql_db_query("virtualcourier", "$sql")  or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.13 ".mysql_errno()."</font></center><hr><br>");
 $row=mysql_fetch_row($resultado);
 echo"".$row[0]."";
}

function cambiar_datos($nombre, $direccion, $telefono1, $telefono2, $fax, $email, $nombre, $id, $path, $base_datos, $imagenes_multiples)
{
 $sql="UPDATE empresa SET nombre = '".$nombre."', direccion = '$direccion', telefono1 = '$telefono1', telefono2 = '$telefono2', fax = '$fax', email = '$email', path='$path', base_datos='$base_datos', imegenes_multiples = '$imagenes_multiples' WHERE id = '$id'";
 $resultado=mysql_db_query("virtualcourier", "$sql") or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.14 ".mysql_errno()."</font></center><hr><br>");
 return 1;
}

function eliminar_tablas_creadas($nit)
{
 $sql="SELECT * from tablas_creadas WHERE nit_empresa LIKE '$nit'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 $tabla_datos_destinatario=$row['nombre_tabla_datosDestinatario'];
 $tabla_digitalizacion=$row['nombre_tabla_digitalizacion'];
 $tabla_ods=$row['nombre_tabla_ods'];
 $tabla_cliente=$row['nombre_tabla_cliente'];
 $tabla_devolucion=$row['nombre_tabla_devolucion'];
 $tabla_novedades=$row['nombre_tabla_novedades'];
 
 $sql="DROP table $tabla_datos_destinatario";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 
 $sql="DROP table $tabla_digitalizacion";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 
 $sql="DROP table $tabla_ods";
 $resultado=mysql_db_query("virtualcourier", "$sql");

 $sql="DROP table $tabla_cliente";
 $resultado=mysql_db_query("virtualcourier", "$sql");
  
 $sql="DROP table $tabla_devolucion";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 
 $sql="DROP table $tabla_novedades";
 $resultado=mysql_db_query("virtualcourier", "$sql");

 return 1;
}

function eliminar_registros($nit)
{
 $sql="DELETE FROM empresa WHERE nit LIKE '$nit'";//elimina registro de la tabla empresa
 $resultado=mysql_db_query("virtualcourier", "$sql");
 
 $sql="DELETE FROM usuario WHERE nit_empresa LIKE '$nit'";//eliminar registro de la tabla usuario
 $resultado=mysql_db_query("virtualcourier", "$sql");
 
 $sql="DELETE FROM tablas_creadas WHERE nit_empresa LIKE '$nit'";//elimina registro de la tabla tablas_creadas
 $resultado=mysql_db_query("virtualcourier", "$sql");
 
 $sql="DELETE FROM estado WHERE nit_empresa LIKE '$nit'";//elimina los registros que encuentre en la tabla estado
 $resultado=mysql_db_query("virtualcourier", "$sql");
 
 $sql="DELETE FROM lote where nit_empresa LIKE '$nit'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 
 $sql="DELETE FROM consulta_resultados WHERE nit_empresa LIKE '$nit'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
  
 $sql="DELETE FROM empresa_cliente WHERE nit_empresa LIKE '$nit'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 
 $sql="DELETE FROM usuario WHERE nit_empresa LIKE $nit";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 
 return 1;
}

function selecciona_cliente_eliminar($nit, $tabla_cliente)
{
 $sql="SELECT * FROM empresa_cliente WHERE nit_empresa LIKE '$nit'";
 $resultado=mysql_db_query("virtualcourier", "$sql") or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.32 ".mysql_errno()."</font></center><hr><br>");
 $filas=mysql_num_rows($resultado); 
 while($row=mysql_fetch_array($resultado))
  {
    $sql="SELECT * from $tabla_cliente WHERE codigo LIKE '".$row['cod_cliente']."'";
	$result=mysql_db_query("virtualcourier", "$sql") or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.32 ".mysql_errno()."</font></center><hr><br>");
	$row1=mysql_fetch_array($result) or die("paila");
	echo"".$row1['nombre'];
	echo"".$row['cod_cliente'];
  }
}

function actualizar_estado($nit)
{
 $sql="INSERT INTO estado VALUES(NULL, 'ENTREGADAS EN INTERNET', '2', '$nit', 'on', '')";
 $resultado=mysql_db_query("virtualcourier", "$sql") or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.22 estado en internet".mysql_errno()."</font></center><hr><br>");
 
 $sql="INSERT INTO estado VALUES(NULL, 'ZONA DE REPARTO', '1', '$nit', '', 'on')";
 $resultado=mysql_db_query("virtualcourier", "$sql") or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.22 estado reparto".mysql_errno()."</font></center><hr><br>");
 
 return 1;
}

function tomar_seleccion_empresa()
{
 $sql="SELECT * FROM empresa"; 
 $resultado=mysql_db_query("virtualcourier", "$sql") or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.24 ".mysql_errno()."</font></center><hr><br>");
 while($row=mysql_fetch_array($resultado))
 {
  echo"<option>".$row['nombre']."</option>";
 }
}

function copiar_logo($tmp_archivo, $nombre_archivo)
{
 $path_sistema=tomar_path_sistema();
 $ruta="/tmp/virtual/".$nombre_archivo;  
 if(move_uploaded_file($tmp_archivo, $ruta))
  {   
   $ruta_destino="".$path_sistema."virtualcourier/logos/";
   exec("cp $ruta $ruta_destino");
   exec("chmod u+w,u+r,u+x,g+w,g+r,g+x,o+w,o+r,o+x ".$path_sistema."virtualcourier/logos/$nombre_archivo");	 
   exec("chgrp wmartin ".$path_sistema."virtualcourrier/logos/$nombre_archivo");   
   exec("rm -rf /tmp/virtual/$nombre_archivo");
   return $path_sistema."virtualcourier/logos/$nombre_archivo";
  }
 else
  {
   echo"No se cargo el archivo ".$nombre_archivo." ERROR 1.8";
   return 0; 
  }
}

function tomar_nit_empresa($empresa)
{
 $sql="SELECT * FROM empresa WHERE nombre LIKE '$empresa'"; 
 $resultado=mysql_db_query("virtualcourier", "$sql") or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.25 ".mysql_errno()."</font></center><hr><br>");
 $row=mysql_fetch_array($resultado);
 return $row['nit'];
}

function actualiza_empresa($nombre_archivo, $nit, $empresa)
{
 $sql="UPDATE empresa SET logo = '$nombre_archivo' WHERE nit LIKE '$nit' AND nombre LIKE '$empresa'";
 $resultado=mysql_db_query("virtualcourier", "$sql") or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.26 ".mysql_errno()."</font></center><hr><br>");
 return 1;
}

function tomar_tabla_datos_destinatario($nit_empresa)
{
  $sql="SELECT nombre_tabla_datosDestinatario FROM tablas_creadas WHERE nit_empresa LIKE '$nit_empresa'";  
  $resultado=mysql_db_query("virtualcourier", "$sql")  or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 2.1.11 ".mysql_errno()."</font></center><hr><br>");
  $filas=mysql_num_rows($resultado);
  if($filas>0)
   {
    $row=mysql_fetch_array($resultado);	
    return ($row['nombre_tabla_datosDestinatario']);
   }
  else
   {
    return 0;
   }
}

function tomar_tabla_clientes($nit_empresa)
{
  $sql="SELECT nombre_tabla_cliente  FROM tablas_creadas WHERE nit_empresa LIKE '$nit_empresa'";    
  $resultado=mysql_db_query("virtualcourier", "$sql")  or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 2.1.11 ".mysql_errno()."</font></center><hr><br>");
  $filas=mysql_num_rows($resultado);  
  if($filas>0)
   {
    $row=mysql_fetch_array($resultado);
    return ($row['nombre_tabla_cliente']);
   }
  else
   {
    return 0;
   }
}

function tomar_tabla_digitalizacion($nit_empresa)
 {
  $sql="SELECT nombre_tabla_digitalizacion FROM tablas_creadas WHERE nit_empresa LIKE '$nit_empresa'";
  $resultado=mysql_db_query("virtualcourier", "$sql")  or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 2.1.11 ".mysql_errno()."</font></center><hr><br>");
  $filas=mysql_num_rows($resultado);
  if($filas>0)
   {
    $row=mysql_fetch_array($resultado);
    return ($row['nombre_tabla_digitalizacion']);
   }
  else
   {
    return 0;
   }
 }

function actualiza_tabla_nacionales($tabla, $nit_empresa, $tabla_digitalizacion)
{
 $sql="DELETE from nacionales";
 $resultado=mysql_db_query("virtualcourier", "$sql")  or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.27 ".mysql_errno()."</font></center><hr><br>");
 
 $sql="INSERT INTO nacionales VALUES(NULL, '$tabla', '$tabla_digitalizacion', '$nit_empresa')";
 $resultado=mysql_db_query("virtualcourier", "$sql")  or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 1.1.28 ".mysql_errno()."</font></center><hr><br>");
 return 1;
}

function tomar_nombre_carpeta($nit)
{
 $sql="SELECT carpeta FROM empresa WHERE nit = '$nit'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 return $row['carpeta'];
}

function copiar_archivo_creacion_cliente($tmp_archivo, $nombre_archivo, $nit)
{
 $nombre_carpeta_cliente=tomar_nombre_carpeta($nit);
 $path_sistema=tomar_path_sistema();
 $path_sistema=$path_sistema."".$nombre_carpeta_cliente."/Archivos/Otros/"; 
 $ruta="/tmp/virtual/".$nombre_archivo; 
 if(move_uploaded_file($tmp_archivo, $ruta))
  { 
   exec("cp /tmp/virtual/$nombre_archivo ".$path_sistema);   
   exec("chmod u+w,u+r,u+x,g+w,g+r,g+x,o+w,o+r,o+x ".$path_sistema."/".$nombre_archivo);
   exec("chgrp wmartin ".$path_sistema."/".$nombre_archivo);
   //exec("rm -rf /tmp/virtual/$nombre_archivo");
   //return $path_sistema."virtualcourier/archivos_planos/$nombre_archivo";
   $path_sistema=$path_sistema."".$nombre_archivo;
   return $path_sistema;
  }
 else
  {
   echo"No se cargo el archivo ".$nombre_archivo." ERROR 1.8";
   return 0; 
  }
}

function tomar_nit_empresa_crg($empresa)
{
 $sql="SELECT * FROM empresa where nombre LIKE '$empresa'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 return $row['nit'];
}

function tomar_tabla_clt_crg($nit)
{
 $sql="SELECT nombre_tabla_cliente FROM tablas_creadas WHERE nit_empresa LIKE '$nit'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 return $row['nombre_tabla_cliente'];
}

function pinta_tabla_conf_subir($tabla, $nombre_tabla_tmp, $nombre_archivo, $nit, $php)
{
 ?>
  <center>
  <form action="<?echo $php?>" method="GET">
  <input type="hidden" name="tabla" value="<?echo $tabla;?>">
  <input type="hidden" name="nombre_tabla_tmp" value="<?echo $nombre_tabla_tmp;?>">
  <input type="hidden" name="nombre_archivo" value="<?echo $nombre_archivo;?>">
  <input type="hidden" name="nit" value="<?echo $nit;?>">  
  <table border="0" cellspacing="1" cellpadding="1">
   <tr class="miTable_tr">
    <th colspan="2" class="miTable_th">Carge Automatico V.1.2</th>	
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">Codigo: </td>	
	<td class="miTable_td">
	 <select name="datos_cliente[]" class="inputbox">
	  <?describir_tmp($nombre_tabla_tmp);?>
	 </select> 
	</td>	
   </tr>
    <tr class="miTable_tr">
    <td class="miTable_td">Nombre: </td>	
	<td class="miTable_td">
	 <select name="datos_cliente[]" class="inputbox">
	  <?describir_tmp($nombre_tabla_tmp);?>
	 </select> 
	</td>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">Direccion: </td>	
	<td class="miTable_td">
	 <select name="datos_cliente[]" class="inputbox">
	  <?describir_tmp($nombre_tabla_tmp);?>
	 </select> 
	</td>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">Telefono 1: </td>	
	<td class="miTable_td">
	 <select name="datos_cliente[]" class="inputbox">
	  <?describir_tmp($nombre_tabla_tmp);?>
	 </select> 
	</td>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">Email: </td>	
	<td class="miTable_td">
	 <select name="datos_cliente[]" class="inputbox">
	  <?describir_tmp($nombre_tabla_tmp);?>
	 </select> 
	</td>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">Usuario: </td>	
	<td class="miTable_td">
	 <select name="datos_cliente[]" class="inputbox">
	  <?describir_tmp($nombre_tabla_tmp);?>
	 </select> 
	</td>
   </tr>
   <tr class="miTable_tr">
    <td class="miTable_td">Password: </td>	
	<td class="miTable_td">
	 <select name="datos_cliente[]" class="inputbox">
	  <?describir_tmp($nombre_tabla_tmp);?>
	 </select> 
	</td>
   </tr>
   <tr class="miTable_tr">    
    <th class="miTable_th" colspan="2"><div align="right"><input type="submit" value="Cruzar" class="inputbox"></div></th>	
   </tr>
  </table>
  </form>
  </center>  
 <?php
}

function describir_tmp($nombre_tabla_tmp)
{
 $sql="DESCRIBE $nombre_tabla_tmp";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 while($row=mysql_fetch_array($resultado))
  {
   echo"<option>".$row['Field']."</option>";
  }
}

function realizar_query_cliente($datos_cliente, $nombre_tabla_tmp, $tabla, $nit)
{
 $query="";
 $j=0;
 for($i=0; $i<=4; $i++)
  {
   if($i==0)
    {
     $query.="".$datos_cliente[$i]."";
	 $j++;
	}
   else
    {
     $query.=", ".$datos_cliente[$i]."";
	 $j++;
	}
  }
  tomar_datos_campos_cliente($query, $nombre_tabla_tmp, $j, $tabla);
}

function tomar_datos_campos_cliente($query, $nombre_tabla_tmp, $j, $tabla)
{ 
 $sql="SELECT $query FROM $nombre_tabla_tmp";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 while($row=mysql_fetch_array($resultado))
  {
   $valor="NULL, ";
   for($i=0; $i<=$j-1; $i++)
    {
	 if($i==0){
	   $valor.="'".$row[$i]."'";
	  }
	 else if($i==$j-1){
	   $valor.=",'0','0','".$row[$i]."'";
	  }
	 else{
	  $valor.=",'".$row[$i]."'";
	 }
	}
	$valor.=",''";
   $sql="INSERT INTO $tabla VALUES($valor)";  
   echo "<br>".$sql; 
   $result=mysql_db_query("virtualcourier", "$sql");
  }  
}

function realizar_query_usuario($datos_cliente, $nombre_tabla_tmp, $nit)
{
 $j=0;
 $query="";
 for($i=0; $i<=count($datos_cliente)-1; $i++)
  {
   if($i==0)
    {
	 $query.="".$datos_cliente[$i]."";
	 $j++;
	}
   else if($i==1)
    {
	 $query.=",".$datos_cliente[$i]."";
	 $j++;
	}
   else if($i==5)
    {
	 $query.=",".$datos_cliente[$i]."";
	 $j++;
	}
   else if($i==6)
    {
	 $query.=",".$datos_cliente[$i]."";
	 $j++;
	}
  }
 
 tomar_datos_campos_usuario($query, $nombre_tabla_tmp, $j, $nit);
}

function tomar_datos_campos_usuario($query, $nombre_tabla_tmp, $j, $nit)
{
 $sql="SELECT $query FROM $nombre_tabla_tmp";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 
 while($row=mysql_fetch_array($resultado))
 {
  $valor="NULL";
  $valor.=",'".trim($row[1])."'";
  $valor.=",'".trim($row[2])."'";
  $valor.=",'".trim($row[3])."', 2, '$nit'";
  $codigo_cliente=$row[0];
  $valor.=",'".trim($row[0])."'";   
  $valor.=",'1'";
  $sql="INSERT INTO usuario VALUES($valor)";
  echo"".$sql;
  $resul=mysql_db_query("virtualcourier", "$sql");
  $sql="INSERT INTO empresa_cliente VALUES(NULL, '$nit', '$codigo_cliente')";  
  $resul=mysql_db_query("virtualcourier", "$sql");
 }
}

function eliminar_tabla_temporal_cliente($nombre_tabla_tmp)
{
 $sql="DROP TABLE $nombre_tabla_tmp";
 $resul=mysql_db_query("virtualcourier", "$sql");
 
 $sql="UPDATE eliminacion_tablas_creadas SET existencia = '1' WHERE nombre_tabla_tmp = '$nombre_tabla_tmp'";
 $resul=mysql_db_query("virtualcourier", "$sql");
}


function seleccionar_empresa_antiguo()
{ 
 $sql="SELECT * FROM clientes ORDER BY cliente";
 $resultado=mysql_db_query("guias", "$sql") or die("No se puede!");
 $filas=mysql_num_rows($resultado);
 if($filas>0)
  {
   echo"<select name=cliente_antiguo[] MULTIPLE class=inputbox>";   
   while($row=mysql_fetch_array($resultado))
    {
	 echo"<option value=".$row['cod_cliente'].">".$row['cliente']."  (".$row['cod_cliente'].")</option>";
	}
   echo"</select>";
  }
 else
  {
   echo"<center>No existen clientes en el modelo Antiguo</center>";
  }
}

function mostrar_tabla_tablas($cliente_antiguo, $empresa, $tabla, $nit, $clientes_cod, $condicion_img)
{
 $total=tomar_cantidad_campos_empresa($empresa);   
 ?>
  <center>
   <form action="realizar_cruze.php" method="POST">
   <table border="0">
   <tr class="miTable_tr">
	 <th class="miTable_th1" colspan="2">Cruce de <?echo $empresa?></th>	
   </tr>	
   <tr class="miTable_tr">
	 <th class="miTable_th1"><div align="center">VC</div></th>
	 <th class="miTable_th1"><div align="center">Antiguo</div></th>
	</tr>	
    <?php
	 for($i=1; $i<=$total-1; $i++)
	  {   
	     ?><tr class="miTable_tr">
		  <td class="miTable_td">
		   <?mostrar_campo($i, $empresa);?>
		  </td>
		  <td class="miTable_td">
		   <?mostrar_campo_antiguo();?>
		  </td>
		 </tr><?php   
	  }
	?>
	<tr class="miTable_tr">
	 <td class="miTable_td">Rastreo: </td>
	 <td class="miTable_td"><center><input type="checkbox" name="rastreo" class="inputbox"></center></td>
	</tr>
	<tr class="miTable_tr">
	 <th class="miTable_th1"></th>
	 <input type="hidden" name="empresa" value="<?php echo $empresa?>">
	 <input type="hidden" name="cliente_antiguo" value="<?php echo $cliente_antiguo?>">
	 <input type="hidden" name="tabla" value="<?php echo $tabla?>">
	 <input type="hidden" name="nit" value="<?php echo $nit?>">
	 <input type="hidden" name="clientes_cod" value="<?php echo $clientes_cod?>">
	 <input type="hidden" name="condicion_img" value="<?php echo $condicion_img?>">
	 <th class="miTable_th1"><input type="submit" value="Cruzar" class="inputbox"></th>
	</tr>
   </table>
   </form>
  </center>
 <?php
}

function mostrar_campo($i, $empresa)
{
 $sql="SELECT nit_empresa FROM usuario WHERE nombre LIKE '$empresa'";
 $resultado=mysql_db_query("virtualcourier", "$sql") or die("No se puede!");
 $row=mysql_fetch_array($resultado);
 $nit_empresa=$row[0];
 
 $sql="SELECT nombre_tabla_datosDestinatario FROM tablas_creadas WHERE nit_empresa LIKE '$nit_empresa'";
 $resultado=mysql_db_query("virtualcourier", "$sql") or die("No se puede!");
 $row=mysql_fetch_array($resultado);
 $tabla=$row[0];
 
 $sql="SHOW COLUMNS FROM $tabla"; 
 $resultado=mysql_db_query("virtualcourier", "$sql") or die("No se puede!");
 while($row=mysql_fetch_array($resultado))
  {
   $arreglo_campos[]=$row['Field'];
  }  
  echo"".$arreglo_campos[$i]; 
}

function mostrar_campo_antiguo()
{ 
 $sql="SHOW COLUMNS FROM guias"; 
 $resultado=mysql_db_query("guias", "$sql") or die("No se puede!");
  echo"<SELECT name=campos_antiguo[] class=inputbox>";
  echo"<option value=0></option>";
  while($row=mysql_fetch_array($resultado))
   {
    echo"<option value=".$row['Field'].">".$row['Field']."</option>";
   }
  echo"</SELECT>";
 
}

function tomar_cantidad_campos_empresa($empresa)
{
 $sql="SELECT nit_empresa FROM usuario WHERE nombre LIKE '$empresa'";
 $resultado=mysql_db_query("virtualcourier", "$sql") or die("No se puede!");
 $row=mysql_fetch_array($resultado);
 $nit_empresa=$row[0];
 
 $sql="SELECT nombre_tabla_datosDestinatario FROM tablas_creadas WHERE nit_empresa LIKE '$nit_empresa'";
 $resultado=mysql_db_query("virtualcourier", "$sql") or die("No se puede!");
 $row=mysql_fetch_array($resultado);
 $tabla=$row[0];
 
 $sql="DESCRIBE $tabla";
 $resultado=mysql_db_query("virtualcourier", "$sql") or die("No se puede!");
 $row=mysql_fetch_array($resultado);
 $filas=mysql_num_rows($resultado);
 return $filas;
}

function crear_query_cruze($campos_antiguo)
{
 $query="SELECT ";
 for($i=0; $i<=count($campos_antiguo)-1; $i++)
  {
   if($campos_antiguo[$i]!="0")
    {
	 if($i==0)
	   $query.="".$campos_antiguo[$i]."";
	 else
	   $query.=", ".$campos_antiguo[$i]."";
	}   
  }
  $query.=" FROM guias ";
  return $query;
}

function defragmentar_cod_cliente($cliente_antiguo)
{
 $condicion="WHERE ";
 for($i=0; $i<=count($cliente_antiguo)-1; $i++)
  {
   if($i==0)
    {
	 $condicion.="cod_cliente LIKE ".$cliente_antiguo[$i]."";
	}
  else
    {
     $condicion.=" or cod_cliente LIKE ".$cliente_antiguo[$i]."";
    }
   
  }
 return $condicion;  
}

function ejecutar_query($sql, $campos_antiguo, $tabla, $nit, $cliente_antiguo, $clientes_cod, $condicion_img)
{
 $tabla_digitalizacion=tomar_tabla_digitalizacon($nit);
 for($i=0; $i<=count($campos_antiguo)-1; $i++)
  {
   if($campos_antiguo[$i]!="0")
    {
	 $array[]=$campos_antiguo[$i];
	}   
  }
 $resultado=mysql_db_query("guias", "$sql") or die("No se puede!"); 
 $total_registros=mysql_num_rows($resultado);
 $lote=crea_lote($total_registros, $tabla, $nit);
 //$lote_digit=crea_lote($total_registros, $tabla_digitalizacion, $nit);
 while($row=mysql_fetch_array($resultado))
  {
   $datos="";
   for($i=0; $i<=count($array)-1; $i++)
    {
	 $datos[]=$row[$i];
	}
	arreglar_datos($datos, $tabla, $lote, $nit, $cliente_antiguo, $clientes_cod, $condicion_img, $lote_digit, $tabla_digitalizacion);
  }
}

function arreglar_datos($datos, $tabla, $lote, $nit, $cliente_antiguo, $clientes_cod, $condicion_img, $lote_digit, $tabla_digitalizacion)
{ 
 $estado="2";
 $datos_="INSERT INTO $tabla VALUES(NULL ";
 for($i=0; $i<=count($datos)-1; $i++)
  {
   if($i==2)
    {
     $datos_.=",'".$datos[$i]."', '$lote'";
	}
   else
    {
	 $datos_.=",'".$datos[$i]."'";
	}
  }
  $datos_.=")";
 $resultado=mysql_db_query("virtualcourier", "$datos_"); 
 //carga_imagen($datos[0], $nit, $cliente_antiguo, $clientes_cod, $condicion_img, $lote_digit, $tabla_digitalizacion); 
}

function carga_imagen($guia, $nit, $cliente_antiguo, $clientes_cod, $condicion_img, $lote_digit, $tabla_digitalizacion)
{ 
 $ruta_digital=tomar_ruta_digital($guia, $cliente_antiguo, $clientes_cod, $condicion_img, $tabla_digitalizacion, $lote_digit);
}

function tomar_tabla_digitalizacon($nit)
{
 $sql="SELECT nombre_tabla_digitalizacion FROM tablas_creadas WHERE nit_empresa LIKE '$nit'";
 $resultado=mysql_db_query("virtualcourier", "$sql") or die("No se puede!");
 $row=mysql_fetch_array($resultado);
 $tabla=$row[0]; 
 return $tabla;
}

function tomar_tabla_ods($nit)
{
 $sql="SELECT nombre_tabla_ods FROM tablas_creadas WHERE nit_empresa LIKE '$nit'";
 $resultado=mysql_db_query("virtualcourier", "$sql") or die("No se puede!");
 $row=mysql_fetch_array($resultado);
 $tabla=$row[0]; 
 return $tabla;
}

function tomar_ruta_digital($guia, $cliente_antiguo, $clientes_cod, $condicion_img, $tabla_digitalizacion, $lote_digit)
{ 
 $sql="SELECT imagen FROM guias $condicion_img AND guia LIKE $guia";
 $resultado=mysql_db_query("guias", "$sql") or die("No se puede!");
 $row=mysql_fetch_array($resultado);
 $path=$row['imagen'];
 $sql="INSERT INTO $tabla_digitalizacion VALUES (NULL, '$guia', '$path', '$lote_digit')";
 $resultado=mysql_db_query("virtualcourier", "$sql") or die("No se puede actualizar img!");
}

function defragmentar_cod_clientes_img($clientes_cod)
{
 $condicion="WHERE (";
 for($i=0; $i<=count($clientes_cod)-1; $i++)
  {
   if($i==0)
    {
	 $condicion.="cod_cliente LIKE ".$clientes_cod[$i]."";
	}
  else
    {
     $condicion.=" or cod_cliente LIKE ".$clientes_cod[$i]."";
    }
   
  }
  $condicion.=")";
 return $condicion;
}

function tomar_nit_empresa_cruze($empresa)
{
 $sql="SELECT nit from empresa where nombre LIKE '$empresa'";
 $resultado=mysql_db_query("virtualcourier", "$sql") or die("No se puede!"); 
 $row=mysql_fetch_array($resultado);
 return $row['nit'];
}

function crea_lote($registros, $tabla, $nit)
{
 //hacer query para crear lote y sacar el No el proceso es: actualizar la tabla lote con los 
 //datos: id, fecha, hora, nombre tabla afectada, Numero de registros, nit_empresa
 //es decir los datos que tienen que llegar parametrizados son: $nombre_tabla, registros, nit_empresa
 
 $fecha=date("Y-m-d"); 
 $hora=date("H:i:s");
 
 $sql="INSERT INTO lote VALUES(NULL, '$fecha', '$hora', '$registros', '$nit', '$tabla')";
 $resultado=mysql_db_query("virtualcourier", "$sql") or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 2.1.21 ".mysql_errno()."</font></center><hr><br>");  
 $sql="SELECT id FROM lote WHERE fecha='$fecha' AND hora='$hora' AND tabla='$tabla' AND nit_empresa='$nit'";
 $resultado=mysql_db_query("virtualcourier", "$sql") or  die("<br><hr><center><font color=RED> Proceso Terminado Consulte con el Grupo de Desarrollo Error No. 2.1.22 ".mysql_errno()."</font></center><hr><br>");  
 $filas=mysql_num_rows($resultado); 
 $row=mysql_fetch_array($resultado);
 $lote=$row['id']; 
 return $lote;
}

function cargar_imagenes($campos_antiguo, $condicion_img, $nit)
{
 $tabla=tomar_tabla_digitalizacon($nit);  
 $sql="SELECT guia, imagen FROM guias $condicion_img";
 $resultado=mysql_db_query("guias", "$sql");  
 $filas=mysql_num_rows($resultado);
 $lote=crea_lote($filas, $tabla, $nit);
 while($row=mysql_fetch_array($resultado))
  {   
   $guia=$row[0];
   $path=$row[1];
   $sql1="INSERT INTO $tabla VALUES(NULL, '$guia', '$path', '$lote')";   
   $res=mysql_db_query("virtualcourier", "$sql1");  
  } 
}

function cargar_ods_emparejamiento($campos_antiguo, $condicion_img, $nit)
{
 $tabla=tomar_tabla_ods($nit);
 $sql="SELECT $campos_antiguo[1], $campos_antiguo[2] FROM guias $condicion_img";
 $resultado=mysql_db_query("guias", "$sql");
 $filas=mysql_num_rows($resultado);
 $lote=crea_lote($filas, $tabla, $nit);
 $fecha=date("Y-m-d");
 while($row=mysql_fetch_array($resultado))
  {
   $codigo_cliente=$row[0];
   $ods=$row[1];
   actualizar_ods_emp($codigo_cliente, $ods, $tabla, $fecha, $lote, $nit);
  }
}

function contar_ods_migracion($nit)
{
 $tabla=tomar_tabla_ods($nit);
 $sql="SELECT ods FROM $tabla";
 echo $sql;
 $resultado=mysql_db_query("guias", "$sql");
 while($row=mysql_fetch_array($resultado))
  {
  }
}

function actualizar_ods_emp($codigo_cliente, $ods, $tabla, $fecha, $lote, $nit)
{
 $sql="SELECT * FROM $tabla WHERE ods LIKE '$ods' AND cod_cliente LIKE '$codigo_cliente'"; 
 $resultado=mysql_db_query("virtualcourier", "$sql")or die("paila");
 $filas=mysql_num_rows($resultado);
 if($filas==0)
  {
   $sql1="INSERT INTO $tabla VALUES(NULL, '$ods', '$ods', '$fecha', '0', $lote, '$nit', '$codigo_cliente')";
   $resultado=mysql_db_query("virtualcourier", "$sql1");
  }
}

function buscar_nit_ex_path($nit)
{
 $sql="SELECT * FROM path_imagenes WHERE nit_empresa LIKE $nit";
 $resultado=mysql_db_query("virtualcourier", "$sql")or die("paila");
 $filas=mysql_num_rows($resultado);
 return $filas;
}

function tomar_nombre_empresa($nit)
{
 $sql="SELECT nombre FROM empresa WHERE nit LIKE $nit";
 $resultado=mysql_db_query("virtualcourier", "$sql")or die("paila");
 $row=mysql_fetch_array($resultado);
 $nombre = $row['nombre'];
 return $nombre;
}

function tomar_id($nit)
{
 $sql="SELECT id FROM path_imagenes WHERE nit_empresa LIKE $nit";
 $resultado=mysql_db_query("virtualcourier", "$sql")or die("paila");
 $row=mysql_fetch_array($resultado);
 $id = $row['id'];
 return $id;
}

function actualiza_tabla_ETC($nombre_tabla_tmp, $nit)
{
 $fecha=date("Y-m-d");
 $hora=date("H:i:s");
 $sql="INSERT INTO eliminacion_tablas_creadas(id, nombre_tabla_tmp, fecha, hora, nit_empresa) 
 VALUES(NULL, '$nombre_tabla_tmp', '$fecha', '$hora', '$nit')";
 $resultado=mysql_db_query("virtualcourier", "$sql")or die("No se puede actualizr la tabla eliminacion"); 
}

function tabla_depuracion_BD()
{
 ?>
  <center>
  <table width="90%" border="0">
   <tr class="miTable_tr">
    <th class="miTable_th1" colspan="4">Eliminacion de las Tablas *.TMP</th>
   </tr>
   <tr class="miTable_tr">
    <th class="miTable_th1">Nombre</td>
	<th class="miTable_th1">Fecha / Hora</td>
	<th class="miTable_th1">Empresa</td>
	<th class="miTable_th1">Acciones</td>
   </tr>
    <?php mostrar_datos_tabla_tmp();?>
  </table>
  </center>
 <?php
}

function mostrar_datos_tabla_tmp()
{
 $sql="SELECT * FROM eliminacion_tablas_creadas";
 $resultado=mysql_db_query("virtualcourier", "$sql")or die("No se puede realizar el muestreo"); 
 while($row=mysql_fetch_array($resultado))
  {
   $id=$row['id'];
   $nombre_tabla_tmp=$row['nombre_tabla_tmp'];
   ?>
    <tr class="miTable_tr">
    <td class="miTable_td"><? echo $row['nombre_tabla_tmp']?></td>
	<td class="miTable_td"><? echo $row['fecha']. "/";  echo $row['hora'];?></td>
	<td class="miTable_td"><? 
	$nit = $row['nit_empresa'];
	$nombre = tomar_nombre_empresa_depuracion($nit);
	echo"".$nombre;
	?>
	</td>
	<td class="miTable_td">
	 <?php
	  $existe = $row['existencia'];
	  if($existe==1)
	   {
	    ?>
		 No Existe
		<?
	   }
	  else
	   {
	    ?>
		 <a href="borrar_tabla_tmp.php?id=<?echo $id?>&nombre_tabla_tmp=<?echo $nombre_tabla_tmp?>", onClick="window.open('borrar_tabla_tmp.php?id=<?echo $id?>&nombre_tabla_tmp=<?echo $nombre_tabla_tmp?>','window','width=300,height=150'); return false">Existe</a>
		<?
	   }
	 ?>
	</td>
	</tr>	
   <?php
  }
}

function tomar_nombre_empresa_depuracion($nit)
{
 $sql="SELECT nombre FROM empresa WHERE nit LIKE '$nit'";
 $resultado=mysql_db_query("virtualcourier", "$sql")or die("No se puede realizar selection"); 
 $row=mysql_fetch_array($resultado);
 return $row['nombre'];
}

function eliminar_tabla_depura_tmp($id, $nombre_tabla_tmp)
{
 $sql="DROP TABLE $nombre_tabla_tmp";
 $resultado=mysql_db_query("virtualcourier", "$sql")or die("No se puede eliminar la tabla $nombre_tabla_tmp"); 
 
 $sql="UPDATE eliminacion_tablas_creadas SET existencia = '1' WHERE id = '$id' AND nombre_tabla_tmp = '$nombre_tabla_tmp'";
 $resultado=mysql_db_query("virtualcourier", "$sql")or die("NO");  
 $valor=1;
 return $valor;
}

function crea_fichero($nit, $path)
{
 $tmp="$path/nit";
 if(!($fichero=fopen($tmp, "w")))  
  {
    die("No se encontro el fichero tmp");
  }
 else
  {
   fwrite($fichero, "$nit");   
  }
 exec("chmod 777 $tmp");
}

function actualiza_cantidad_ods($ods, $tabla_datos_destinatario)
{
 $sql="SELECT count(*) FROM $tabla_datos_destinatario WHERE ods = '$ods'";
 $resultado=mysql_db_query("virtualcourier", "$sql")or die("NO");  
 $row=mysql_fetch_array($resultado);
 return $row[0];
}

function actualiza_cantidad_ods_mas($ods, $cantidad, $tabla_ods)
{
 $sql="UPDATE $tabla_ods SET cantidad = $cantidad WHERE ods = '$ods'";
 $resultado=mysql_db_query("virtualcourier", "$sql")or die("NO");  
 return 1;
}

function muestra_perfiles()
{
 $sql="SELECT * FROM perfil";
 $resultado=mysql_db_query("virtualcourier", "$sql")or die("NO");  
 while($row=mysql_fetch_array($resultado))
  {
   echo"<option value=".$row['tipo'].">".$row['descripcion']."</option>";
  }
}

function ver_perfil($id_perfil)
{
 $sql="SELECT perfil FROM menu WHERE id = $id_perfil"; 
 $resultado=mysql_db_query("virtualcourier", "$sql");  
 $row=mysql_fetch_array($resultado);
 $perfil=$row["perfil"];
 
 $sql="SELECT descripcion FROM perfil WHERE tipo = '$perfil'";
 $resultado=mysql_db_query("virtualcourier", "$sql");  
 $row=mysql_fetch_array($resultado);
 return $row["descripcion"];
}

function muestra_menus()
{
 $sql="SELECT * FROM menu";
 $resultado=mysql_db_query("virtualcourier", "$sql")or die("NO");  
 echo"<table align=center>";
 echo"<TR class=miTable_tr>";
  echo"<TH class=miTable_th1>Nombre Menu</TH>";
  echo"<TH class=miTable_th1 colspan=4>Accion</TH>";  
 echo"</TR>";
 while($row=mysql_fetch_array($resultado))
  {
   echo"<TR class=miTable_tr>";
   echo"<TD class=miTable_td>".$row['nombre']."</td>";
   echo"<TD class=miTable_td><a href=\"acciones.php?accion=eliminar&id=".$row['id']."\"><center><IMG src=\"imagenes/recursos/eliminar.png\" alt=\"Borrar Menu\" title=\"Borrar Menu\" width=\"15\" height=\"15\" border=\"0\"></center></a></TD>";
   echo"<TD class=miTable_td><a href=\"acciones.php?accion=editar&id=".$row['id']."\"><center><IMG src=\"imagenes/recursos/edicion.png\" alt=\"Editar Menu\" title=\"Editar Menu\" width=\"15\" height=\"15\" border=\"0\"></center></a></TD>";
   echo"<TD class=miTable_td><a href=\"acciones.php?accion=consultar&id=".$row['id']."\"><center><IMG src=\"imagenes/recursos/ver_contenido.png\" alt=\"Ver Funcionalidades\" title=\"Ver Funcionalidades\" width=\"15\" height=\"15\" border=\"0\"></center></a></TD>";
   echo"<TD class=miTable_td>"; 
    $perfil=ver_perfil($row["id"]);
    echo"<IMG src=\"imagenes/recursos/perfil.png\" alt=\"".$perfil."\" title=\"".$perfil."\" width=\"15\" height=\"15\" border=\"0\">";
   echo"</TD>";
   echo"</tr>";
  }
 echo"<TR class=miTable_tr><TH class=miTable_th1 colspan=5></TH></TR>";
 echo"</table>";
}

function ejecutar_accion($id, $accion)
{
 if($accion=="eliminar")
  {   
   $sql="DELETE FROM menu WHERE id = '$id'";
   $resultado=mysql_db_query("virtualcourier", "$sql")or die("NO se puede realizar la eliminacion del Campo $id,<BR>Consulte aladministrador del sistema");  
    ?>
	<script>
	setTimeout("location.href='crear_menu.php'", 500);
	alert("Se ha Eliminado el Menu <?php echo $id; ?>");
	</script>
   <?php
   
  }
 else if($accion=="editar")
  {
   $sql = "SELECT * FROM menu WHERE id = '$id'";
   $resultado=mysql_db_query("virtualcourier", "$sql");
   echo"<FORM action=ejecuta_accion.php method=GET>";
   echo"<center><table border=0 width=300px>";
   echo"<TR class=miTable_tr>";
    echo"<TH class=miTable_th1>Campos</Th>";
    echo"<TH class=miTable_th1>Valores</Th>";
   echo"</TR>";
   while($row=mysql_fetch_array($resultado))
    {
     echo"<TR class=miTable_tr>";
      echo"<TD class=miTable_td>id:</TD>";
      echo"<TD class=miTable_td>".$row['id']."</TD>";
     echo"</TR>";
     echo"<TR class=miTable_tr>";
      echo"<TD class=miTable_td>Nombre:</TD>";
      echo"<TD class=miTable_td><input type=text name=nombre_menu value=\"".$row['nombre']."\" class=inputbox></TD>";
     echo"</TR>";     
    }
    
    echo"<TR class=miTable_tr>";
     echo"<TD class=miTable_td>Perfil:</TD>";
     echo"<TD class=miTable_td>";
      mostrar_seleccion_perfiles();
     echo"</TD>";
    echo"</TR>";
    
    echo"<TR class=miTable_tr>";
      echo"<TH class=miTable_th1 colspan = 2><input type=submit value=editar class=inputbox></TH>";
     echo"</TR>";
   echo"</table></center>";
   echo"<input type=hidden name=accion value=editar>";
   echo"<input type=hidden name=id value=$id>";
   echo"</FORM>";
  }
 else if($accion=="consultar")
  {
   $nombre_menu=tomar_nombre_menu($id);
   $sql="SELECT * FROM menu_dinamico WHERE id_menu = '$id'";
   $resultado=mysql_db_query("virtualcourier", "$sql");
   echo"<TABLE align=center>";
   echo"<TR class=miTable_tr><TH class=miTable_th1>Funcionalidades para el menu $nombre_menu</TH><TH class=miTable_th1 colspan=2>Accion</TH></TR>";
   while($row=mysql_fetch_array($resultado))
    {
     echo"<TR class=miTable_tr>";
      echo"<TD class=miTable_td>".$row["funcionalidad"]."</TD>";
      echo"<TD class=miTable_td><a href=\"acciones.php?accion=eliminar_funcionalidad&id=".$row['id']."\"><center><IMG src=\"imagenes/recursos/eliminar.png\" alt=\"Borrar Menu\" width=\"15\" height=\"15\" border=\"0\"></center></a></TD>";
      echo"<TD class=miTable_td><a href=\"acciones.php?accion=editar_funcionalidad&id=".$row['id']."\"><center><IMG src=\"imagenes/recursos/edicion.png\" alt=\"Editar\" width=\"15\" height=\"15\" border=\"0\"></center></a></TD>";
     echo"</TR>";
    }
   echo"<TR class=miTable_tr><TH class=miTable_th1>"
    ?>
    <A HREF="annde_funcionalidades.php?id_menu=<?php echo"".$id."";?>&nombre_menu=<?php echo"".$nombre_menu."";?>", onClick="window.open('annde_funcionalidades.php?id_menu=<?php echo"".$id."";?>&nombre_menu=<?php echo"".$nombre_menu."";?>','window','width=500,height=250'); return false"><font color="#FFFFFF">Crear Mas Funcionalidades</FONT></a>
    <?php
   echo"</TH><TH class=miTable_th1 colspan=2></TH></TR>";
   echo"</TABLE>";   
  }
 else if($accion=="eliminar_funcionalidad")
  {
   $sql="DELETE FROM menu_dinamico WHERE id = '$id'";
   $resultado=mysql_db_query("virtualcourier", "$sql")or die("NO se puede realizar la eliminacion del Campo $id,<BR>Consulte aladministrador del sistema");     
   ?>
	<script>
	setTimeout("location.href='crear_menu.php'", 500);
	alert("Se ha Eliminado la Funcionalidad <?php echo $id; ?>");
	</script>
   <?php
  }
 else if($accion=="editar_funcionalidad")
  {
   $sql="SELECT * FROM menu_dinamico WHERE id = '$id'";
   $resultado=mysql_db_query("virtualcourier", "$sql");
   echo"<FORM action=ejecuta_accion.php method=GET>";
   echo"<TABLE align=center>";
   echo"<TR>";
    echo"<TH class=miTable_th1 colspan=2>Edicion de Funcionalidad</TH>";
   echo"</TR>";
   while($row=mysql_fetch_array($resultado))
    {
     echo"<TR class=miTable_tr><TD class=miTable_td>Funcionalidad</TD><TD class=miTable_td><input type=text name=nombre_funcionalidad class=inputbox value=\"".$row["funcionalidad"]."\"></TD></TR>";
     echo"<TR class=miTable_tr><TD class=miTable_td>Script</TD><TD class=miTable_td><input type=text name=script class=inputbox value=\"".$row["script"]."\"></TD></TR>";
     echo"<TR class=miTable_tr><TD class=miTable_td>Menu</TD>";
     echo"<TD class=miTable_td>";
     echo"<select name=menu>";     
     	$sql="SELECT * from menu"; 
 	$resultado=mysql_db_query("virtualcourier", "$sql"); 
 	while($row=mysql_fetch_array($resultado))
  	{
   	echo "<option value=".$row["id"].">".$row["nombre"]."</option>";
  	}
     echo"</select></TD></TR>";
    }
    echo"<TR>";
    echo"<TH class=miTable_th1 colspan=2><input type=submit value=Editar class=inputbox></TH>";
   echo"</TR>";
   echo"</TABLE>";
   echo"<input type=hidden name=accion value=editar_funcionalidad>";
   echo"<input type=hidden name=id value=$id>";
   echo"</FORM>";
  }
  
}


function tomar_nombre_menu($id)
{
 $sql="SELECT nombre FROM menu WHERE id = '$id'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 return $row["nombre"];
}

function guarda_funcionalidad($nombre_funcionalidad, $script, $id_menu)
{
 $sql="INSERT INTO menu_dinamico VALUES(NULL, '$nombre_funcionalidad', '$script', '$id_menu')";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 
 ?>	  
	<script>
	 alert("Se ha creado Funcionalidad ");
	 window.close();
	</script>
 <?php
 
}

function mostrar_menus()
{
 $sql="SELECT * FROM menu";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 
 while($row=mysql_fetch_array($resultado))
  {
   echo"<tr class=miTable_tr><td class=miTable_td><input type=checkbox value=".$row["id"]." name=menus[]>".$row["nombre"]."</td></tr>";
  }
 
}

function tomar_id_usuario($nombre, $usuario, $contrasena, $nit)
{
 $sql="SELECT id FROM usuario WHERE nombre = '$nombre' AND usuario = '$usuario' AND password = '$contrasena' AND   	
nit_empresa = '$nit'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 return $row["id"];
}

function actualiza_menuUsuario($menus, $id_usuario)
{
 for($i=0; $i<=count($menus)-1; $i++)
    {     
     $sql="INSERT INTO menu_usuario VALUES($id_usuario, ".$menus[$i].")";
     $resultado=mysql_db_query("virtualcourier", "$sql");
    }
}

function total_menus()
{
 $sql="SELECT * FROM menu";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $filas=mysql_num_rows($resultado);
 return $filas;
}

function mostrar_menus_empresa($empresa)
{
 $sql="SELECT id FROM usuario WHERE nombre = '$empresa'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 $id_usuario=$row["id"];

 $sql="SELECT id_menu FROM menu_usuario WHERE id_usuario = '$id_usuario'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 while($row=mysql_fetch_array($resultado))
  {
   $array_menus[]=$row["id_menu"];   
  }
  
  //$total_menus=total_menus();
  
   $sql="SELECT menu.nombre, menu.id FROM menu, menu_usuario
   WHERE menu_usuario.id_menu = menu.id
   AND menu_usuario.id_usuario = $id_usuario";
   $resultado=mysql_db_query("virtualcourier", "$sql");
   
   $condicion="";
   echo"<table border=0 align=center>";
   while($row=mysql_fetch_array($resultado))
    {
     echo"<TR class=miTable_tr>";
     echo"<TD class=miTable_td><input type=checkbox value=".$row[1]." disabled name=menus[] checked>$row[1] ".$row[0]."</TD>";
     echo"<TD class=miTable_td>";
     echo"<IMG src=/virtualcourier/imagenes/recursos/asignar.png width=16 height=16 border=0 ALT= \"Asignar ".$row[0]."\" TITLE= \"Asignar ".$row[0]."\">";
     /*?>
     <A HREF="asignar_menu.php?id=<?php echo"".$row[1]."";?>&empresa=<?php echo $empresa?>", onClick="window.open('asignar_menu.php?id=<?php echo"".$row[1]."";?>&empresa=<?php echo $empresa?>','window','width=300,height=150'); return false"><IMG src=/virtualcourier/imagenes/recursos/asignar.png width=16 height=16 border=0 ALT= Asignar></a>
     <?php*/
     echo"</TD>";
     echo"<TD class=miTable_td>";
     ?>
     <A HREF="des_asignar_menu.php?id=<?php echo"".$row[1]."";?>&empresa=<?php echo $empresa?>", onClick="window.open('des_asignar_menu.php?id=<?php echo"".$row[1]."";?>&empresa=<?php echo $empresa?>','window','width=300,height=150'); return false"><IMG src=/virtualcourier/imagenes/recursos/des-asignar.png width=16 height=16 border=0 ALT= "Des-Asignar <?php echo $row[0]; ?>" TITLE= "Des-Asignar <?php echo $row[0]; ?>"></a>
     <?php
//     echo"<IMG src=/virtualcourier/imagenes/recursos/des-asignar.png width=16 height=16 border=0 ALT= Des-Asignar>";
     echo"</TD>";
     echo"</TR>";
     $array_id_menu[]=$row[1];       
    }
    
    if($array_id_menu==0)
     {
      listar_menus_sin_asignacion($empresa);
     }
    else if($array_id_menu>0)
     {
      for($i=0; $i<=count($array_id_menu)-1; $i++)
      {    
       if($i<>count($array_id_menu)-1)
        {
         $condicion.="id <> ".$array_id_menu[$i]." AND ";
        }
       else
        {
         $condicion.="id <> ".$array_id_menu[$i]."";
        }
      }
        
      $sql="SELECT * FROM menu WHERE $condicion";
      $resultado=mysql_db_query("virtualcourier", "$sql");
    
      while($row=mysql_fetch_array($resultado))
         { 
          echo"<TR class=miTable_tr>";
          echo"<TD class=miTable_td><input type=checkbox value=".$row["id"]." disabled name=menus[]>".$row["id"]." ".$row["nombre"]."</TD>";
          echo"<TD class=miTable_td>";
           ?>
            <A HREF="asignar_menu.php?id=<?php echo"".$row["id"]."";?>&empresa=<?php echo $empresa?>", onClick="window.open('asignar_menu.php?id=<?php echo"".$row["id"]."";?>&empresa=<?php echo $empresa?>','window','width=300,height=150'); return false"><IMG src=/virtualcourier/imagenes/recursos/asignar.png width=16 height=16 border=0 ALT="Asignar <?php echo $row["nombre"];?>" TITLE="Asignar <?php echo $row["nombre"];?>"></a>     
           <?php
          echo"</TD>";
          echo"</TD>";
          echo"<TD class=miTable_td>";
           echo"<IMG src=/virtualcourier/imagenes/recursos/des-asignar.png width=16 height=16 border=0 ALT= \"Des-Asignar ".$row["nombre"]."\" TITLE= \"Des-Asignar ".$row["nombre"]."\">";
          echo"</TD>";
          echo"</TR>";   
         }
     }
     echo"</table>";
}


function listar_menus_sin_asignacion($empresa)
{
 $sql="SELECT * FROM menu";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 
 while($row=mysql_fetch_array($resultado))
  {
   echo"<tr class=miTable_tr>";
    echo"<td class=miTable_td><input type=checkbox value=".$row["id"]." name=menus[] disabled>".$row["nombre"]."</td>";
    echo"<td class=miTable_td>";
     ?>
       <A HREF="asignar_menu.php?id=<?php echo"".$row["id"]."";?>&empresa=<?php echo $empresa?>", onClick="window.open('asignar_menu.php?id=<?php echo"".$row["id"]."";?>&empresa=<?php echo $empresa?>','window','width=300,height=150'); return false"><IMG src=/virtualcourier/imagenes/recursos/asignar.png width=16 height=16 border=0 ALT="Asignar <?php echo $row["nombre"];?>" TITLE="Asignar <?php echo $row["nombre"];?>"></a>     
     <?php
    echo"</Td>";
   echo"</tr>";
  }
}

function mostrar_menu_unico($id_menu)
{
 $sql="SELECT * FROM menu WHERE id = $id_menu"; 
 $resultado=mysql_db_query("virtualcourier", "$sql");
 
 while($row=mysql_fetch_array($resultado))
 {
  echo"".$row["nombre"]."";
 } 
}

function tomar_id_usuario_editar($empresa)
{
 $sql="SELECT id FROM usuario WHERE nombre = '$empresa'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 return $row["id"];
}

function cambiar_menu_usuario($id_menu, $id_usuario_cambiar)
{
 $sql="INSERT INTO menu_usuario VALUES($id_usuario_cambiar, $id_menu)";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 return 1; 
}

function desasignar_menu_usuario($id, $id_usuario_cambiar)
{
 $sql="DELETE FROM menu_usuario WHERE id_usuario='$id_usuario_cambiar' AND id_menu='$id'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 return 1; 
}

function tomar_id_usuario_eliminar($nit)
{
 $sql="SELECT id FROM usuario WHERE nit_empresa = '$nit'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 return $row["id"];
}

function eliminar_registros_menu_usuarios($id_usuario_eliminar)
{
 $sql="DELETE FROM menu_usuario WHERE id_usuario = '$id_usuario_eliminar'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
}

function mostrar_seleccion_perfiles()
{
 $sql="SELECT * FROM perfil";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 echo"<SELECT name=perfil class=inputbox>";
 while($row=mysql_fetch_array($resultado))
  {
   echo"<option value=".$row["tipo"].">".$row["descripcion"]."</option>";
  }
 echo"</SELECT>";
}

function ver_estado_usuario($empresa)
{
 $nit=tomar_nit_empresa_por_nombre($empresa);
 $sql="SELECT habilitado FROM usuario WHERE nit_empresa = '$nit' AND perfil = '1'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 $habilitado=$row["habilitado"];
 echo"<CENTER>";
 if($habilitado==1)
  {
   echo"<input type=checkbox name=habilitar checked> Habilitado";
  }
 else if($habilitado==0)
  {
   echo"<input type=checkbox name=habilitar> Des-Habilitado";
  }
 echo"</CENTER>";
 echo"<input type=hidden name=nit value=$nit>";
}

function tomar_nit_empresa_por_nombre($empresa)
{
 $sql="SELECT nit FROM empresa WHERE nombre = '$empresa'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 return $row["nit"];
}

function habilitar_usuario($nit)
{
 $sql="UPDATE usuario SET habilitado=1 WHERE nit_empresa = '$nit' AND perfil = '1'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
}

function des_habilitar_usuario($nit)
{
 $sql="UPDATE usuario SET habilitado=0 WHERE nit_empresa = '$nit' AND perfil = '1'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
}

function contar_usuarios_Administradores()
{
 $sql="SELECT * FROM usuario WHERE perfil = 1";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $filas=mysql_num_rows($resultado);
 return $filas;
}

function contar_usuarios_Clientes()
{
 $sql="SELECT * FROM usuario WHERE perfil = 2";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $filas=mysql_num_rows($resultado);
 return $filas;
}

function contar_usuarios_SuperAdministradores()
{
 $sql="SELECT * FROM usuario WHERE perfil = 0";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $filas=mysql_num_rows($resultado);
 return $filas;
}

function actualizar_tabla_menu_usuario($id)
{
 $sql="INSERT INTO menu_usuario(id_usuario, id_menu)
 VALUES($id,3),
 ($id,4),
 ($id,18),
 ($id,34),
 ($id,17)";
 $resultado=mysql_db_query("virtualcourier", "$sql");
}

function actualizar_tabla_menu_usuario_cliente($id)
{
 $sql="INSERT INTO menu_usuario(id_usuario, id_menu)
 VALUES($id,22),
 ($id,23),
 ($id,34)";
 $resultado=mysql_db_query("virtualcourier", "$sql");
}

function guarda_proceso($nit, $estados_procesos)
{
 $sql="INSERT INTO proceso VALUES(NULL, '$nit', '$estados_procesos')"; 
 $resultado=mysql_db_query("virtualcourier", "$sql");
}

function ver_estado_proceso($empresa)
{
 $nit_empresa=tomar_nit_empresa_por_nombre($empresa); 
 $sql="SELECT cantidad FROM proceso WHERE nit_empresa = '$nit_empresa'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 
 
 if($row["cantidad"]==0)
  {
   $cantidad=0;
  }
 else if($row["cantidad"]>0)
  {
   $cantidad=$row["cantidad"];
  } 
  
 return $cantidad;
}

function cambiar_estado_proceso($empresa, $estados_procesos)
{
 $nit_empresa=tomar_nit_empresa_por_nombre($empresa); 
 $sql="UPDATE proceso SET cantidad='$estados_procesos' WHERE nit_empresa = '$nit_empresa'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
}

function eliminar_estado_proceso($empresa)
{
 $nit_empresa=tomar_nit_empresa_por_nombre($empresa); 
 $sql="DELETE FROM proceso WHERE nit_empresa='$nit_empresa'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
}

function crea_estado_proceso($empresa, $estados_procesos)
{
 $nit_empresa=tomar_nit_empresa_por_nombre($empresa); 
 $sql="INSERT INTO proceso VALUES(NULL, '$nit_empresa', '$estados_procesos')"; 
 $resultado=mysql_db_query("virtualcourier", "$sql");
}

function tomar_nombre_empresa_rpt($nit)
{
 $sql="SELECT nombre FROM empresa WHERE nit = '$nit'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 return $row['nombre'];
}

function tomar_nombre_cliente_rpt($codigo, $tabla_cliente)
{
 $sql="SELECT nombre FROM $tabla_cliente WHERE codigo = '$codigo'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 return $row['nombre'];
}

function tomar_campo_img_tiff($empresa)
{
 $sql="SELECT imegenes_multiples FROM empresa WHERE nombre = '$empresa'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado); 
 
 if($row['imegenes_multiples']==1)
  {
   $value='checked';
   return $value;
  }
 else if($row['imegenes_multiples']==0)
  {
   $value='';
   return $value;
  }
}

function mostrar_conexiones_remotas($id_usuario)
{
 $sql="SELECT * FROM servidores_remotos";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $filas=mysql_num_rows($resultado);
 echo"<center><TABLE width=80%>";
 echo"<TR class=miTable_tr>";
  echo"<td class=miTable_th1 colspan=4>Servidores Remotos.</td>";
  echo"<td class=miTable_th1 colspan=4>Se encontraron <font color=red>$filas</font> Servidores</td>";
 echo"</tr>";
 echo"<TR class=miTable_tr>";
  echo"<td class=miTable_th1><center>Servidor</center></td>";
  echo"<td class=miTable_th1><center>Descripcion</center></td>";
  echo"<td class=miTable_th1><center>Usuario</center></td>";
  echo"<td class=miTable_th1><center>Base de Datos</center></td>";
  echo"<td class=miTable_th1><center>Tabla</center></td>";
  echo"<td class=miTable_th1><center>Cargar</center></td>";
  if($id_usuario==1)
  {
  echo"<td class=miTable_th1 colspan=2><center>Acciones</center></td>";
  }
 echo"</tr>";
 while($row=mysql_fetch_array($resultado))
 {
  echo"<TR class=miTable_tr>";
   echo"<TD class=miTable_td>".$row[1]."</td>";
   echo"<TD class=miTable_td>".$row[6]."</td>";
   echo"<TD class=miTable_td>".$row[2]."</td>";
   echo"<TD class=miTable_td>".$row[4]."</td>";
   echo"<TD class=miTable_td>".$row[5]."</td>";
   echo"<TD class=miTable_td>";
    ?>
     <a href="realizar_cargue.php?id=<?php echo $row[0]?>", onClick="window.open('realizar_cargue.php?id=<?php echo $row[0]?>','window','width=500,height=800,scrollbars=yes'); return false"><IMG src="imagenes/recursos/empezarcargue.png" width="16" height="16" border="0" title="Empezar cargue para servidor <?php echo $row[1]?>" alt="Empezar cargue para servidor <?php echo $row[1]?>"></a>
    <?php
     
   echo"</td>";
   if($id_usuario==1)
   {
   echo"<TD class=miTable_td>";
    ?>
     <a href="eliminar_servidor_remoto.php?id=<?php echo $row[0]?>", onClick="window.open('eliminar_servidor_remoto.php?id=<?php echo $row[0]?>','window','width=500,height=800'); return false"><IMG src="imagenes/recursos/eliminar.png" width="16" height="16" border="0" title="Eliminar servidor <?php echo $row[1]?>" alt="Eliminar servidor <?php echo $row[1]?>"></a>
    <?php
   echo"</td>";
   echo"<TD class=miTable_td>";
    ?>
     <a href="editar_servidor_remoto.php?id=<?php echo $row[0]?>", onClick="window.open('editar_servidor_remoto.php?id=<?php echo $row[0]?>','window','width=450,height=300'); return false"><IMG src="imagenes/recursos/editar.png" width="16" height="16" border="0" title="Editar servidor <?php echo $row[1]?>" alt="Editar servidor <?php echo $row[1]?>"></a>
    <?php
   echo"</td>";
   }
  echo"</TR>";
 }
 if($id_usuario==1)
 {
 echo"<TR>";
  echo"<td colspan=6><center>";
   ?>
    <a href="nuevo_servidor_remoto.php", onClick="window.open('nuevo_servidor_remoto.php','window','width=500,height=300'); return false">Crear Nuevos Servidores Remotos</a>
   <?php
  echo"</center></td>";
 echo"</TR>";
 }
 else
 {}
 echo"</TABLE></center>";
}

function conexion_remota($id)
{
 $sql="SELECT * FROM servidores_remotos WHERE id='$id'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 

 $Server = $row['servidor'];
 $DataBase = $row['base_datos'];
 $User = $row['usuario'];
 $Passwd = $row['password'];
     if(!($link=@mysql_pconnect("$Server", "$User", "$Passwd")))
      {
       echo"Error Conectando Con La BD.";
       exit();
      }
     if(!mysql_select_db("$DataBase", $link))
      {
       echo"Error Seleccionando La BD";
      }
     return $link;
}

function conexion_remota_act($ip_server_remoto,$nombre_usuario_remoto,$password_remoto,$basedatos_remoto)
{
 $Server = $ip_server_remoto;
 $DataBase = $basedatos_remoto;
 $User = $nombre_usuario_remoto;
 $Passwd = $password_remoto;
     if(!($link=@mysql_pconnect("$Server", "$User", "$Passwd")))
      {
       echo"Error Conectando Con La BD.";
       exit();
      }
     if(!mysql_select_db("$DataBase", $link))
      {
       echo"Error Seleccionando La BD";
      }
     return $link;
}

function tomar_tabla_servidor_remoto($id)
{
 $sql="SELECT tabla FROM servidores_remotos WHERE id='$id'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 return $row['tabla'];
}

function tomar_base_datos_remoto($id)
{
 $sql="SELECT base_datos FROM servidores_remotos WHERE id='$id'"; 
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 return $row['base_datos'];
}

function tomar_usuario_remoto($id)
{
 $sql="SELECT usuario FROM servidores_remotos WHERE id='$id'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 return $row['usuario'];
}

function tomar_url_remota($id)
{
 $sql="SELECT servidor FROM servidores_remotos WHERE id='$id'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 return $row['servidor'];
}

function copiar_archivo_carge_server_remoto($tmp_archivo, $nombre_archivo)
{
 $path_sistema=tomar_path_sistema();
 $path_sistema=$path_sistema."/virtualcourier/archivos_planos/";
 $ruta="/tmp/virtual/".$nombre_archivo;
 if(move_uploaded_file($tmp_archivo, $ruta))
 {
  exec("cp /tmp/virtual/$nombre_archivo ".$path_sistema);
  exec("chmod u+w,u+r,u+x,g+w,g+r,g+x,o+w,o+r,o+x ".$path_sistema."$nombre_archivo");
  exec("chgrp wmartin ".$path_sistema."$nombre_archivo");
  return $path_sistema."$nombre_archivo";
 }
}

function contar_documentos_leidos_server_remoto($nombre_tabla_tmp, $fichero, $nombre_archivo)
{
 $sql="SELECT * FROM $nombre_tabla_tmp";
 $resultado=mysql_db_query("virtualcourier","$sql");
 $doc_totales=mysql_affected_rows(); 
 return $doc_totales;
}

function dibuja_formulario_carga_remoto($nombre_tabla_tmp, $id, $maneja_lote, $lote)
{
 $tabla=tomar_tabla_servidor_remoto($id);
 $base_datos=tomar_base_datos_remoto($id);
 $usuario_remoto=tomar_usuario_remoto($id);
 $url=tomar_url_remota($id);
 $conexion_remota=conexion_remota($id);
 $sql="DESCRIBE $tabla";
 $resultado=mysql_db_query($base_datos, "$sql");
 $filas=mysql_num_rows($resultado);
 while($row=mysql_fetch_array($resultado))
 {
  $array_campos_server_remoto[]=$row[0];
 }
 ?>
   <form action="configura_subir_plano_remoto.php" method="POST">
   <table>
    <TR class="miTable_tr">
     <TD class="miTable_th1" colspan="3"><FONT color="Red">NOTA: </FONT><FONT color="Lime">Por Favor Verificar los campos Nullos en el servidor Remoto<BR> No ingresar datos erroneos par evitar PROBLEMAS!!! thanks</TD>
    </TR>
    <TR class="miTable_tr">
     <TD class="miTable_th1" colspan="3">Carga Automatica V.0.2</TD>
    </TR>
    <TR class="miTable_tr">
     <TD class="miTable_th1" width="10%"><IMG src="imagenes/recursos/actualizar.png" alt="Campos A Actualizar" Title="Campos A Actualizar" width="16" height="16" border="0"></TD>
     <TD class="miTable_th1" width="45%">Campos Servidor Remoto</TD>
     <TD class="miTable_th1" width="45%">Campos Archivo</TD>
    </TR>
     <?php
	for($i=0; $i<=count($array_campos_server_remoto)-1; $i++)
	{
         echo"<TR class=miTable_tr>";
 	 echo"<TD class=miTable_td>";
 	  ?>
   	    <input type="checkbox" name="campos_actualizar_remoto[]" class="inputbox" value="<?php echo $array_campos_server_remoto[$i];?>">
	  <?php
	 echo"</td>";
	 echo"<TD class=miTable_td>".$array_campos_server_remoto[$i]."</td>";
	 echo"".tomar_campo_tabla_tmp_remoto($nombre_tabla_tmp)."";
         echo"</TR>";
	}
     ?>
    <tr class="miTable_tr">
    <input type="hidden" name="nombre_tabla_tmp" value="<?php echo $nombre_tabla_tmp?>">
    <input type="hidden" name="maneja_lote" value="<?php echo $maneja_lote?>">
    <input type="hidden" name="lote" value="<?php echo $lote?>">
    <input type="hidden" name="id" value="<?php echo $id?>">
     <TD class="miTable_th1" colspan="3"><div align="right"><input type="submit" class="inputbox" value="Cargar"></div></TD>
    </tr>
   </table>
   </form>
   </FONT>
 <?php
}

function tomar_campo_tabla_tmp_remoto($nombre_tabla_tmp)
{
 $link=conectarse();
 $sql="SHOW COLUMNS FROM $nombre_tabla_tmp";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 echo"<TD class=miTable_td>";
 echo"<SELECT name=campos[] class=inputbox>";
  echo"<OPTION value=NULL>NULL</OPTION>";
 while($row=mysql_fetch_array($resultado))
 {
  echo"<OPTION value=".$row['Field'].">".$row['Field']."</OPTION>";
 }
 echo"</select>";
 echo"</TD>";
}

function desarrolla_query_actualiza($sql, $total_campos_seleccionados, $campos, $id, $maneja_lote, $lote, $tabla, $base_datos, $usuario_remoto, $url)
{
 $path_sistema=tomar_path_sistema();
 $file="plano_".$id."_".$tabla.".sql";
 $tmp=$path_sistema."virtualcourier/descargables/$file";
 exec("touch $tmp");
 exec("chmod 777 $tmp");
 $fichero_remoto=fopen($tmp, "w+");
 $resultado=mysql_db_query("virtualcourier","$sql");
 $filas=mysql_num_rows($resultado);
 while($row=mysql_fetch_array($resultado))
  {
   $array_valores="";
   for($i=0; $i<=$total_campos_seleccionados-1; $i++)
    {
     $array_valores[]=$row[$i];
    }
   inserta_en_tabla_servidor_remoto($array_valores, $campos, $id, $maneja_lote, $lote, $tabla, $base_datos, $usuario_remoto, $url, $fichero_remoto, $tmp);
  }
 fclose($fichero_remoto);
 return $tmp;
}

function inserta_en_tabla_servidor_remoto($array_valores, $campos, $id, $maneja_lote, $lote, $tabla, $base_datos, $usuario_remoto, $url, $fichero_remoto, $tmp)
{
 $sql_remoto="";
 $sql_remoto="INSERT INTO $tabla (";
 for($i=0; $i<=count($campos)-1; $i++)
 {
  if($i==(count($campos)-1))
  {
   $sql_remoto.=$campos[$i];
  }
 else
  {
   $sql_remoto.="".$campos[$i].", ";
  }
 }
 
 if($maneja_lote=='on')
  {
   $sql_remoto.=", lote";
  }

 $sql_remoto.=") VALUES(";
 for($i=0; $i<=count($array_valores)-1; $i++)
 {
  if($i==(count($array_valores)-1))
  {
   $sql_remoto.="'".$array_valores[$i]."'";
  }
 else
  {
   $sql_remoto.="'".$array_valores[$i]."', ";
  }
 }
 if($maneja_lote=='on')
  {
   $sql_remoto.=", '".$lote."'";
  }
 $sql_remoto.=")";
 
 fwrite($fichero_remoto, "$sql_remoto");
 fwrite($fichero_remoto, "\n");
}

function lee__fichero($fichero_remoto, $tmp)
{
 if(strlen(trim($tmp))!=0)
  {
   $contenido=addslashes(fread(fopen($tmp, "r"), filesize($tmp)));
   $contenido=stripcslashes($contenido);
   //echo"<BR><BR><BR>".$contenido;   
  }
}

function inserta_server_remoto($contenido, $id)
{
 /*$tabla=tomar_tabla_servidor_remoto($id);
 $base_datos=tomar_base_datos_remoto($id);
 $usuario_remoto=tomar_usuario_remoto($id);
 $url=tomar_url_remota($id);*/
 //$conexion_remota=conexion_remota($id);
 //$resultado=mysql_db_query($base_datos, "$sql");
 //$resultado=mysql_query("$contenido", $conexion_remota);
}

function mostrar_seleccion_clientes($tabla)
{
 $sql="SELECT * FROM $tabla";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 echo "<SELECT name=cliente class=inputbox>";
 while($row=mysql_fetch_array($resultado))
 {
  echo"<option value=".$row['id'].">".$row['nombre']."</OPTION>";
 }
 echo"</SELECT>";
}

function confirmar_contrasennas($password_usr_nuevo, $confirmacion)
{
 if($password_usr_nuevo==$confirmacion) //verifik ke las contrasennas sean identicas 
  {
   return 1;
  }
 else
  {
   return 0;
  }
}

function tomar_nombre_cliente_adicion($cliente, $tabla)
{
 $sql="SELECT * FROM $tabla WHERE id = '$cliente'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 return $row['nombre'];
}

function error_contrasennas_incorrectas($pagina_dev)
{
 ?>
 <script>
 setTimeout("location.href='<?php echo $pagina_dev;?>'", 500);
 alert("Por favor Confirme los password!!!");
 </script>
 <?php
}

function error_nombre_usuario_existe($pagina_dev)
{
 ?>
 <script>
 setTimeout("location.href='<?php echo $pagina_dev;?>'", 500);
 alert("Por favor Verifique el Nombre de Usuario!!!");
 </script>
 <?php
}

function confirmar_nombre_usuario($nombre_usuario_cliente)
{
 $sql="SELECT * FROM usuario WHERE usuario = '$nombre_usuario_cliente'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $filas=mysql_num_rows($resultado);
 return $filas;
}

function confirmar_nombre_usuario_edicion($usuario, $id)
{
 $sql="SELECT * FROM usuario WHERE usuario = '$usuario' AND id <> '$id'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $filas=mysql_num_rows($resultado);
 return $filas;
}

function guarda_en_tabla_usuario($nombre, $nombre_usuario_cliente, $password_usr_nuevo, $codigo_empresa, $id_usuari_cliente)
{
 $sql="INSERT INTO usuario VALUES ('NULL', '$nombre', '$nombre_usuario_cliente', '$password_usr_nuevo', '2', '$codigo_empresa', '$id_usuari_cliente', '1')";
 $resultado=mysql_db_query("virtualcourier", "$sql");

 $sql="SELECT id FROM usuario WHERE nombre = '$nombre' AND usuario = '$nombre_usuario_cliente' AND password = '$password_usr_nuevo' AND nit_empresa = '$codigo_empresa' AND codigo_cliente = '$id_usuari_cliente'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row=mysql_fetch_array($resultado);
 actualiza_menu_cliente($row['id']);
 ?>
 <script>
 setTimeout("location.href='creacion_usuarios_clientes.php'", 500);
 alert("Se ha creado un nuevo usuario !!!");
 </script>
 <?php
}

function eliminar_menu_usuario($id)
{
 $sql="DELETE FROM menu_usuario WHERE id_usuario = '$id'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
}

function actualiza_menu_cliente($id)
{
 $sql="INSERT INTO menu_usuario VALUES ('$id','22')";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $sql="INSERT INTO menu_usuario VALUES ('$id','23')";
 $resultado=mysql_db_query("virtualcourier", "$sql");
}

function tomar_codigo_clite_adc($codigo_empresa, $tabla)
{
 $sql="SELECT codigo FROM $tabla WHERE id = '$codigo_empresa'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row = mysql_fetch_array($resultado);
 return $row['codigo'];
}

function tomar_codigo_cliente_($cliente, $tabla)
{
 $sql="SELECT codigo FROM $tabla WHERE id = '$cliente'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $row = mysql_fetch_array($resultado);
 return $row['codigo'];
}

function mostrar_usuarios_del_cliente($codigo_client, $codigo_empresa)
{
 $sql="SELECT * FROM usuario WHERE codigo_cliente = '$codigo_client' AND perfil = '2' AND nit_empresa = '$codigo_empresa'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 $filas=mysql_num_rows($resultado);
 echo"<CENTER><TABLE width=80%>";
 echo"<TR class=miTable_tr>";
 echo"<TD class=miTable_th1 colspan = 4>Se encontraron $filas Usuarios</Td>";
 echo"</TR>";
 echo"<TR class=miTable_tr>";
  echo"<TD class=miTable_th1>Nombre</Td>";
  echo"<TD class=miTable_th1>Usuario</Td>";
  echo"<TD class=miTable_th1 colspan=2>Acciones</Td>";
 echo"</TR>";
 while($row=mysql_fetch_array($resultado))
 {
  echo"<TR class=miTable_tr>";
   echo"<TD class=miTable_td>".$row['nombre']."</TD>";
   echo"<TD class=miTable_td>".$row['usuario']."</TD>";
   echo"<TD class=miTable_td>";
   ?>
    <a href="editar_usuario_clt.php?id=<?echo $row['id']?>", onClick="window.open('editar_usuario_clt.php?id=<?echo $row['id']?>','window','width=600,height=300'); return false"><IMG src="imagenes/recursos/edicion.png" alt="Edicion de Usuario <?php echo $row['nombre']?>" title="Edicion de Usuario <?php echo $row['nombre']?>" width="16" height="16" border="0"></a>
    <? 
   echo"</TD>";
   echo"<TD class=miTable_td>";
   ?>
    <a href="eliminar_usuario_clt.php?id=<?echo $row['id']?>", onClick="window.open('eliminar_usuario_clt.php?id=<?echo $row['id']?>','window','width=300,height=150'); return false"><IMG src="imagenes/recursos/eliminar.png" alt="Eliminacion de Usuario <?php echo $row['nombre']?>" title="Eliminacion de Usuario <?php echo $row['nombre']?>" width="16" height="16" border="0"></a>
    <? 
   echo"</TD>";
  echo"</TR>";
 }
 echo"</TABLE></CENTER>";
}

function edita_usuario_del_cliente($id, $nombre_org, $usuario, $pasw)
{
 $sql="UPDATE usuario SET nombre = '$nombre_org', usuario= '$usuario' WHERE id = '$id'";
 $resultado=mysql_db_query("virtualcourier", "$sql");
 ?>	  
  <script>
  alert("Se ha Editado el Usuario");
  window.close();
  </script>
 <?php
}

function seleccion_BD_Migrar()
{
 ?>
  <center>
   <form action="conecta_server_remoto_migracion.php" method="POST">
   <table width="60%">
     <TR class="miTable_tr">
      <TD class="miTable_th1" colspan="2"><center>.::DaToS SeRvEr::.</center></TD>
     </TR>
     <TR class="miTable_tr">
      <TD class="miTable_th1" width="30%"><center>.::IP::.</center></TD>
      <TD class="miTable_td" width="70%"><input type="text" name="ip_server_remoto" class="inputbox" size="50"></TD>
     </TR>
     <TR class="miTable_tr">
      <TD class="miTable_th1" width="30%"><center>.::NOMBRE USR::.</center></TD>
      <TD class="miTable_td" width="70%"><input type="text" name="nombre_usuario_remoto" class="inputbox" size="30"></TD>
     </TR>
     <TR class="miTable_tr">
      <TD class="miTable_th1" width="30%"><center>.::PASSWORD::.</center></TD>
      <TD class="miTable_td" width="70%"><input type="text" name="password_remoto" class="inputbox" size="20"></TD>
     </TR>
     <TR class="miTable_tr">
      <TD class="miTable_th1" width="30%"><center>.::BASE DATOS::.</center></TD>
      <TD class="miTable_td" width="70%"><input type="text" name="basedatos_remoto" class="inputbox" size="25"></TD>
     </TR>
     <TR class="miTable_tr">
      <TD class="miTable_th1" colspan="2"><div align="right"><input type="submit" value="Conectar" class="inputbox"></div></TD>
     </TR>
   </table>
   </form>
  </center>
 <?php
}

/*function generacion_archivo_plano()
{
 
}*/

?>